﻿using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace DamageAssesment.Api.Answers.Db
{
    [Table("Answers")]
    public class Answer
    {
        [Key]
        public int Id { get; set; }
        [ForeignKey("Question")]
        public int QuestionId { get; set; }

        [StringLength(250)]
        public string AnswerText { get; set; }
        public string Comment { get; set; }
        [ForeignKey("SurveyResponse")]
        public int? SurveyResponseId { get; set; }

    }
}
