using DamageAssesment.Api.UsersAccess.Models;
using System.Security.Claims;

namespace DamageAssesment.Api.UsersAccess.Interfaces
{
    public interface ITokenServiceProvider
    {
        Task<string> GenerateToken(Models.User user);
        Task<TokenResponse> TokenAuthenticate(Models.User user, Claim[] claims);

        Task<string> ConvertJsonToDadeSchoolsJwt(string json);
    }
}