﻿using System.ComponentModel.DataAnnotations;

namespace DamageAssesment.Api.Employees.Models
{
    public class Employee
    {
        public int Id { get; set; }
        public string EmployeeCode { get; set; }
        public string Name { get; set; }
        public DateTime BirthDate { get; set; }
        public string OfficePhoneNumber { get; set; }
        public string Email { get; set; }
        public bool IsActive { get; set; }
        public string? PreferredLanguage { get; set; } = "en";
    }
}
